diff --git a/src/common/dsp/effect/RingModulatorEffect.cpp b/src/common/dsp/effect/RingModulatorEffect.cpp
index fabdd9813e4..2745d61f24a 100644
--- a/src/common/dsp/effect/RingModulatorEffect.cpp
+++ b/src/common/dsp/effect/RingModulatorEffect.cpp
@@ -137,7 +137,7 @@ void RingModulatorEffect::process(float* dataL, float* dataR)
          phase[u] += dphase[u];
          if( phase[u] > 1 )
          {
-            phase[u] -= 1;
+            phase[u] -= (int)phase[u];
          }
          for( int c=0; c<2; ++c )
          {
